<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMPRTNEditView9Base from './emitemprtnedit-view9-base.vue';

import view_form from '@widgets/emitem-prtn/main2-form/main2-form.vue';

/**
 * 还料单信息
 *
 * @export
 * @class EMITEMPRTNEditView9
 * @extends {EMITEMPRTNEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMPRTNEditView9 extends EMITEMPRTNEditView9Base { }
</script>